## org.eclipse.datatools.sqltools.sqleditor
Class SQLStorageAnnotationModel

    java.lang.Object
      ResourceMarkerAnnotationModel
          org.eclipse.datatools.sqltools.sqleditor.SQLStorageAnnotationModel

    public class SQLStorageAnnotationModel

extends ResourceMarkerAnnotationModel

Author:
  Hui Cao

Field Summary
`static java.lang.String` `ATTR_STORAGE_ID`
`static java.lang.String` `PORTABILITY_MARKER_TYPE`
`static java.lang.String` `SYNTAX_MARKER_TYPE`

Constructor Summary
`SQLStorageAnnotationModel(SQLEditorStorage storage)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_STORAGE_ID

    public static final java.lang.String ATTR_STORAGE_ID

### PORTABILITY_MARKER_TYPE

    public static final java.lang.String PORTABILITY_MARKER_TYPE

### SYNTAX_MARKER_TYPE

    public static final java.lang.String SYNTAX_MARKER_TYPE

Constructor Detail

### SQLStorageAnnotationModel

    public SQLStorageAnnotationModel(SQLEditorStorage storage)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.